Skip to main content

Fees and Credits Events

To enable third-party systems to promptly obtain Fee and Credit results, Broker OpenAPI provides an asynchronous event push mechanism for Fee and Credit operations.

When the status of a Fee or Credit changes, the system delivers event notifications to subscribed clients, providing the corresponding intermediate or final execution results.

Fee Deduction Events

Fee Deduction Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "FUNDING",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"account": "93IUJ28O9VO2KBGHDHR4H9",
"contra_account": "41IO9QG4M5O65B0EA4LSJ4UJ99",
"client_request_id": "LJIS16BACHQG9LPP44L9IQHGAB",
"fee_id": "41IO9QG4M5O65B0EA4LSJ4UJ99",
"amount": "100",
"currency": "USD",
"type": "SERVICE_FEE",
"status": "CANCELED",
"reason": "xxxxxx",
"update_time": "2025-11-21T06:27:43.312Z",
"biz_type": "FEE_DEDUCTION"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as FUNDING
positionstringCursor for event replay; re-pushes subsequent events within the current business type.
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
accountstringAccount ID
contra_accountstringFirm account ID
client_request_idstringClient Request ID, unique for each request.
fee_idstringRequest id generated by the system.
amountstringAmount.
currencystringCurrency, See the currency field in the Query Fee deduction Detail API response.
typestringType, See the type field in the Query Fee deduction Detail API response.
statusstringRequest status, See the status field in the Query Fee deduction Detail API response.
reasonstringReason. If the terminal state is not “COMPLETED”, return the reason.
update_timestringUTC time, format: YYYY-MM-dd'T'HH:mm:ss.SSSZ.
biz_typestringBusiness type, fixed as FEE_DEDUCTION

Credit Events

Credit Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "FUNDING",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"account": "93IUJ28O9VO2KBGHDHR4H9",
"contra_account": "41IO9QG4M5O65B0EA4LSJ4UJ99",
"client_request_id": "LJIS16BACHQG9LPP44L9IQHGAB",
"credit_id": "41IO9QG4M5O65B0EA4LSJ4UJ99",
"amount": "100",
"currency": "USD",
"type": "GIFTING",
"status": "CANCELED",
"reason": "xxxxxx",
"update_time": "2025-11-21T06:27:43.312Z",
"biz_type": "CREDIT"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as FUNDING
positionstringCursor for event replay; re-pushes subsequent events within the current business type.
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
accountstringAccount ID
contra_accountstringFirm account ID
client_request_idstringClient Request ID, unique for each request.
credit_idstringRequest id generated by the system.
amountstringAmount.
currencystringCurrency, See the currency field in the Get Credit Detail API response.
typestringType, See the type field in the Get Credit Detail API response.
statusstringRequest status, See the status field in the Get Credit Detail API response.
reasonstringReason. If the terminal state is not “COMPLETED”, return the reason.
update_timestringUTC time, format: YYYY-MM-dd'T'HH:mm:ss.SSSZ.
biz_typestringBusiness type, fixed as CREDIT